%global momorel 7
%global scimver 1.4.7
%global skimver 1.4.4
%global skimrel 0.20060301.7m
%global artsver 1.5.9
%global artsrel 3m
%global qtver 3.3.7
%global kdever 3.5.9
%global kdelibsrel 4m
%global kdebaserel 8m
%global qtdir %{_libdir}/qt3
%global kdedir /usr
%global scim_major_version 1.4.0

Summary: Smart Pinyin IMEngine for Smart Common Input Method platform
Name: scim-pinyin
Version: 0.5.91
Release: %{momorel}m%{?dist}
License: GPL
URL: http://www.scim-im.org/projects/imengines/
Group: Applications/System
Source0: http://dl.sourceforge.net/sourceforge/scim/%{name}-%{version}.tar.gz 
NoSource: 0
Patch0: %{name}-shuangpin.patch
Patch1: %{name}-showallkeys.patch
Patch2: %{name}-helper.patch
Patch3: %{name}-0.5.91-13.bz200702.patch
Patch4: %{name}-help-translate.patch
Patch5: scim-pinyin-0.5.91-gcc43.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: scim >= %{scimver}
BuildRequires: scim-devel >= %{scimver}
BuildRequires: qt3-devel >= %{qtver}
BuildRequires: arts-devel >= %{artsver}-%{artsrel}
BuildRequires: kdelibs3-devel >= %{kdever}-%{kdelibsrel}
BuildRequires: kdebase3 >= %{kdever}-%{kdebaserel}
BuildRequires: skim >= %{skimver}-%{skimrel}
BuildRequires: autoconf
BuildRequires: automake19
BuildRequires: expat-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: gettext
BuildRequires: glib2-devel
BuildRequires: gtk2-devel
BuildRequires: libX11-devel
BuildRequires: libXau-devel
BuildRequires: libXcursor-devel
BuildRequires: libXdmcp-devel
BuildRequires: libXfixes-devel
BuildRequires: libXft-devel
BuildRequires: libXi-devel
BuildRequires: libXinerama-devel
BuildRequires: libXrandr-devel
BuildRequires: libXrender-devel
BuildRequires: libpng-devel
BuildRequires: libtool
BuildRequires: libxcb-devel
BuildRequires: pango-devel
BuildRequires: zlib-devel

%description
This package includes Simplified Chinese Smart Pinyin IMEngine for SCIM.

%package -n skim-scim-pinyin
Summary: skim-scim-pinyin is a scim-pinyin settings plugin for SKIM
Group: User Interface/X
Requires: %{name} = %{version}-%{release}
Requires: skim >= %{skimver}

%description -n skim-scim-pinyin
skim-scim-pinyin is a scim-pinyin settings plugin for SKIM.

%prep
%setup -q

%patch0 -p1 -b .shuangpin
%patch1 -p1 -b .showallkeys
%patch2 -p1 -b .helperi
%patch3 -p1 -b .bz200702
%patch4 -p1 -b .translate

# build fix
touch skim/setupui/skimeditshortcutbutton.h

%patch5 -p1 -b .gcc43~

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--with-qt-libraries=%{qtdir}/lib \
	--with-extra-includes=%{_includedir}/kde \
	--with-extra-libs=%{_libdir}/kde3 \
	--enable-new-ldflags \
	--disable-debug \
	--disable-warnings \
	--disable-rpath \
	--disable-static

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# get rid of *.la files
rm -f %{buildroot}%{_libdir}/scim-1.0/%{scim_major_version}/{Helper,IMEngine,SetupUI}/pinyin*.la

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL README TODO
%{_libdir}/scim-1.0/%{scim_major_version}/Helper/pinyin-imengine-helper.so
%{_libdir}/scim-1.0/%{scim_major_version}/IMEngine/pinyin.so
%{_libdir}/scim-1.0/%{scim_major_version}/SetupUI/pinyin-imengine-setup.so
%{_datadir}/locale/*/LC_MESSAGES/scim-pinyin.mo
%{_datadir}/scim/icons/smart-pinyin.png
%{_datadir}/scim/pinyin

%files -n skim-scim-pinyin
%defattr(-,root,root)
%doc skim/{AUTHORS,COPYING,ChangeLog,INSTALL,README}
%{_libdir}/kde3/kcm_skimplugin_scim_smartpinyin.la
%{_libdir}/kde3/kcm_skimplugin_scim_smartpinyin.so
%{_datadir}/apps/skim/pics/smart-pinyin.png
%{_datadir}/config.kcfg/smartpinyin.kcfg
%{_datadir}/locale/*/LC_MESSAGES/skim-scim-pinyin.mo
%{_datadir}/services/skimconfiguredialog/skimplugin_scim_smartpinyin_config.desktop

%changelog
* Tue May 13 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.5.91-7m)
- rebuild against qt3

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.5.91-6m)
- rebuild against gcc43

* Sat Mar  1 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.91-5m)
- rebuild with skim-1.4.4-0.20060301.7m

* Sat Feb 16 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.5.91-4m)
- specify KDE3 headers and libs
- modify BuildRequires

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.5.91-3m)
- %%NoSource -> NoSource

* Sun Jan 13 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.5.91-2m)
- add patch for gcc43, generated by gen43patch(v1)

* Wed Apr 11 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.91-1m)
- initial package for Momonga Linux
- import 5 patches from Fedora
